Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88165 - Switching on krfb (desktop sharing) fails
Summary: Switching on krfb (desktop sharing) fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdeadmin
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-07 10:35 UTC by Nick Strugnell
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-07 15:58:55 UTC


Attachments (Terms of Use)

Description Nick Strugnell 2003-04-07 10:35:27 UTC
Description of problem: 
 
We cannot enable desktop sharing using the krfb component of KDE 3.1. 
 
Version-Release number of selected component (if applicable): 
 
3.1-3 
 
How reproducible: 
 
Always 
 
Steps to Reproduce: 
1. Start kde admin tool 
2.Select Internet & Network -> Desktop Sharing 
     
Actual results: 
Dialog pops up saying 'There was an error loading the module' Clicking on 
Details gives: 
 
Library files for "libkcm_krfb.la" no found in paths 
 
Confirmed that this lib is not installed on the system. 
 
Expected results: 
 
Options for switching on desktop sharing. 
 
Additional info:

Comment 1 Alessandro Polverini 2003-04-16 06:58:07 UTC
I can confirm the same (bad) behaviour.

Comment 2 Jack Bukowski 2003-04-16 10:00:40 UTC
I also experienced the same problem.

Comment 3 Jack Bukowski 2003-04-21 19:18:36 UTC
I thought that this might help... 
 
(I am running Red Hat 9 and it is a brand new installation) 
 
When I tried to launch desktop sharing from the KDE Control Center I've got  
the error message: ¨There was an error loading the module¨  
 
There is a ¨details¨ option in the dialog screen that says: 
Library files for ¨libkcm_krfb.la¨ not found in paths 
 
Possible reasons: 
 
An error occurred during your last KDE upgrade leaving an orphaned control  
module 
 
You have old third party modules lying around 
 
Check these points carefully and try to remove the module mentioned in the  
error message. If this fails, consider contacting your distributor or  
packager. 
 
I took a look in /usr/lib/kde3 and noticed that for every .so file there is a .la file. 
If that association is valid then the following files are missing in that directory: 
kcm_krfb.la 
kcm_ktalkd.la 
libkcm_krfb.la 
 
Buk 

Comment 4 Jack Bukowski 2003-04-25 13:12:13 UTC
Do you have an ETA to resolve this? Thank you...

Comment 5 Hap Wheeler 2003-04-30 20:16:23 UTC
A work around for this bug is to install the kdenetwork-devel package.  The
required *.la files which are missing from the kdenetwork rpm can be found in
the kdenetwork-devel rpm.  The *.la files should probably be added to the
kdenetwork rpm.

Comment 6 Jack Bukowski 2003-05-02 20:05:14 UTC
I installed the kdenetwork-devel package and now the desktop sharing works fine. 
Thanks for the suggestion! Buk. 

Comment 7 Ngo Than 2003-07-07 15:58:55 UTC
it's fixed in kdenetwork-3.1.2-3 or newer, which is available in rawhide


Note You need to log in before you can comment on or make changes to this bug.